Subject: Re: FCIP V07 suggestion

From: Ralph Weber <[email-masked]>
Date: Mon, 03 Dec 2001 10:58:05 -0600

Chong,

You are correct. Section 8.1 cannot discuss frame transmission
in terms of the FCIP Data Engine portals. The Data Engine and
its portals do not exist until after the TCP connection is
fully established after the Short Frame is transacted.

In the next FCIP revision, I will scrub the "portal" wording
out of section 8.1.

Thanks.

Ralph...

> Hi,
>
> In the FCIP draft V07 (<draft-ietf-ips-fcovertcpip-07.txt>) page 28, it
> says:
>
> "After the TCP connect request has been accepted, the FCIP Entity
> SHALL wait for the FCIP Short Frame sent by the originator of the
> TCP connect request as the first bytes received through the
> Encapsulated Frame Receiver Portal on the accepted connection."
>
> I think this text is confusing. The "FCIP Short Frame" cannot be
> received through
> the "Encapsulated Frame Receiver Portal" because this Portal
> does not exist when the "FCIP Short Frame" is to be received:
> (1) According to the draft (page 13), Portals (including "Encapsulated
>     Frame Receiver Portal") belong to the FCIP_DE. This implies (to me)
> that
>     Portals cannot exist without their corresponding FCIP_DE.
> (2) Again according to the draft (page 26 and page 29), FCIP_DE is
> created
>     only after "FCIP Short Frame" are exchanged between the originator
> and
>     recipient of the TCP connection.
>
> It might make sense for the aforementioned text in the draft be changed
> to:
>
> "After the TCP connect request has been accepted, the FCIP Entity
> SHALL wait for the FCIP Short Frame sent by the originator of the
> TCP connect request as the first bytes received on the accepted
> connection."
>
> Chong Peng